// 8:51 2022-02-24
#include "CFTTFile.h"
// sizeof = unknown
struct TScoreDownloadType {
};

enum ElmageType {
  ElmageType_0 = 0,
  ElmageType_1,
  ElmageType_2,
  ElmageType_3,
  ElmageType_4,
  ElmageType_5

};

class CDownloads {
public:
  CDownloads(void);       // 0011CB24
  virtual ~CDownloads();  // 0011CB40

  static void AddDownload(char const *, TScoreDownloadType, char const *, bool, bool);  // 0011CCCO
  static void AttemptConfigDownload(bool);                                              // 0011DAD4
  static void CheckConfigDownloads(bool *);                                             // 0011DA74
  static void CheckFileVersions(void);                                                  // 0011DA28
  static void ChecklmageFile(char const *, ElmageType);                                 // 0011D944
  static void ClearDownloadList(void);                                                  // 0011CB5C
  static void DeleteUpdateFiles(void);                                                  // 0011DB4C
  static void ExtractSeasonStages(char const *);                                        // 0011D6D8
  static void Init(void);                                                               // 0011CBB4
  static void lsCurrentDownload(char const *);                                          // 0011CBFC
  static void IsDownloadComplete(TScoreDownloadType);                                   // 0011D19C
  static void lsDownloadInProgress(void);                                               // 0011D154
  static void IsFileQueued(char const *);                                               // 0011D0EC
  static bool IsInDownloadList(char const *, bool);                                     // 0011CC30
  static void PrioritiseDownload(char const *);                                         // 0011D040
  static void Process(void);                                                            // 0011D170
  static void RequestStageDownload(int);                                                // 0011D9B8
  static void ShutDown(void);                                                           // 0011CBEO
  static void StartNextDownload(void);                                                  // 0011CE94
  static void StoreConnectionState(void);                                               // 0011D150
  static void UncompressWithFile(CFTTFile *, char *, uint, char *);                     // 0011D5B0
  static void UncompressWithFilename(char *, char *, uint);                             // 0011D55C
  static void UpdateVersionNumber(TScoreDownloadType, char);                            // 0011D838
  static bool IsCurrentDownload(char const *);                                          // 0011CBFC
  static int ms_bDownloadInProgress;                                                    // 0034A5F0
  static int ms_blnitialised;                                                           // 0034A5E0
  static int ms_iDownloadCount;                                                         // 0034A5EC
  static int ms_iListSize;                                                              // 0034A5E8
  static int ms_pFilesToDownload;                                                       // 0034A5E4
  static int ms_pHttpDownload;                                                          // 0034A89C
  static int ms_sFilename;                                                              // 0034A5F1
  static int ms_sSaveAs;                                                                // 0034A7F1
  static int ms_tDownloadMutex;                                                         // 0034A878
  static int ms_tType;                                                                  // 0034A874
  static int s_iConfigDownloadAttemptedTick;                                            // 0034A8A0
  static int s_iConfigDownloadSuccessTick;                                              // 0034A8A4
};